Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.value.iterator
Class EntityIgnoringValueIterator

    java.lang.Object
      org.drools.planner.core.heuristic.selector.value.iterator.EntityIgnoringValueIterator

All Implemented Interfaces:
  Iterator<Object>, ValueIterator

Direct Known Subclasses:
  IteratorToValueIteratorBridge

    public abstract class EntityIgnoringValueIterator

extends Object
implements ValueIterator

Constructor Summary
`EntityIgnoringValueIterator()`

Method Summary
`boolean` | `hasNext(Object entity)` Follows the specification of `Iterator.hasNext()`.
`Object` | `next(Object entity)` Follows the specification of `Iterator.next()`.
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next`

Constructor Detail

### EntityIgnoringValueIterator

    public EntityIgnoringValueIterator()

Method Detail

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<Object>`

### hasNext

    public boolean hasNext(Object entity)

  Description copied from interface: `ValueIterator`
  Follows the specification of `Iterator.hasNext()`.

  Specified by:
    `hasNext` in interface `ValueIterator`
  Parameters:
    `entity` - never null
  Returns:
    true if there are more planning values

### next

    public Object next(Object entity)

  Description copied from interface: `ValueIterator`
  Follows the specification of `Iterator.next()`.

  Specified by:
    `next` in interface `ValueIterator`
  Parameters:
    `entity` - never null
  Returns:
    the next planning value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.